﻿.product-info-and-images#wrapper #content {
    background-color: #fff;
}
.product-breadcrumbs {
    font-size: 14px;
    margin: 0 0 40px;
    padding-top: 10px;
    padding-bottom: 10px
}
.product-breadcrumbs a{
    text-decoration: none;
    margin: 0 5px;
}
.product-details {
    color: #333;
    font-size: 16px;
}
.product-details .description-title{
    margin: 0;
}
.product-details .product-info-and-images {
    overflow: visible;
    margin-bottom:30px;
    border-radius: 2px;
    padding-bottom:40px;
    display: flex;
    gap: 1rem;
    /*align-items: flex-start;*/ /* <-- prevent columns from stretching (important for sticky) */
}
.product-details .product-general-info{
    flex: 1 1 60%;    
}
.product-details .product-general-info-inner{
    padding: 0 20px;
}
.product-details .product-general-info .product-title{
    text-transform: none;
    color: #1e1e1e;
    font-size: 34px;
}
.product-details .product-general-info .short-description{
    margin: 10px 0 20px;
}

editor_content content iframe,
.short-description iframe {
    box-sizing: border-box;
    max-width: 100%;     
    width: 100%;
    height: auto;
}

.product-details .stock{
    margin: 0;
}
.product-details .stock .status{
    font-weight: 700;
}
.product-details .short-data{
    font-size: 14px;
}

.product-details .price {
    font-size: 30px;
    color: #1e1e1e;
}
.product-details .price .campaign {
    color: red;
    font-weight: 700;
}
.product-details .price .old-price{
    font-size: 14px;
    color: #7f7f7f;
    font-weight: 400;
}

.product-details .retail-price {
    font-size: 1rem;
}

.button.add-to-cart{
    padding: 0 0 0 40px;
    margin: 10px 0;
    border: 1px solid #dedede;
    overflow: hidden;
    height: 50px;
    line-height: 50px;
    background-color: transparent;
    position: relative;
}
.button.add-to-cart .add-to-cart-number{
    -moz-appearance: none;
    -webkit-appearance: none;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 40px;
    height: 100%;
    display: block;
    border: none;
    text-align: center;
    font-size: 16px;
    border-radius: 3px 0 0 3px;
    border-right: 1px solid #bbb;
}

.button.add-to-cart .add-to-cart-button{
    display: block;
    padding: 2px 15px 0;
    background-color: #f7a600;
}

.price-and-buy-button{
    overflow: hidden;
}
.price-and-buy-button .button.add-to-cart{
    float: right;
}
.price-and-buy-button .price {
    margin: 10px 0;
    float: left;
}
.price-label.original-price{
    font-size: 18px;
    text-decoration: line-through;
    margin-left: 15px;
}
.product-general-info-inner .variations select{
    padding: 8px 25px 8px 5px;

    border-radius: 4px;
    border: 1px solid #dedede;
    margin: 5px 0 10px;
    background-image: url(/gfx/arrow-down-16.png);
    background-repeat: no-repeat;
    background-position: center right 10px;
    background-size: 10px;
    -webkit-appearance: none;
    -moz-appearance: none;
}
.product-general-info-inner .supplier{
    margin: 20px 0;
}
.product-general-info-inner .supplier img{
    max-height: 70px;
}
.product-details .product-images{
    /*overflow: hidden;*/
    flex: 1 1 40%;
    /*float: left;*/
    
    height: auto;
    display: flex;
    flex-direction: column;
    padding: 0 20px;
    
}

    .product-details .product-images .product-background {
        background-color: #f5f7fa;
        border-radius: 15px;
        aspect-ratio:1/1;
        position: relative;
        overflow: clip;
    }

.product-details .product-images > div { 
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
}

.product-details .product-images .large-image-ph{
    mix-blend-mode: darken;
    aspect-ratio:1/1;
    width: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    cursor: pointer;
}

.product-details .large-image-ph .arrows {display:none; position: absolute; top: 0; bottom:0; width: 100%; height:100%; z-index: 2; justify-content: space-between; align-items:center; flex-direction:row-reverse; padding: 0 10px; box-sizing:border-box;}
.product-details .large-image-ph .arrows img {width:24px;}
.product-details .large-image-ph .image-arrow { width: clamp(41px, 9vw, 50px); padding: 11px; }
.product-details .large-image-ph .image-arrow.left img { transform: rotate(180deg); }
.product-details .product-images .large-image-ph { cursor: pointer; border-radius: 10px; position: relative; display: flex; }

.product-details .product-images .product-image-thumbs { margin-top:1rem;}

.product-details .product-images .large-image-ph img {
    width: 100%;
    border-radius: 10px;
    object-fit: contain;
    max-width: 100%;
    max-height: 100%;
}

.product-details .product-images .bottom {  
    height: auto; 

    clear: both;          /* key */
  padding-top: 3rem;       /* remove your test padding */
  padding-bottom: 1rem;
  height: 100%;
}

.product-details .product-images .bottom .sticky-note {
    
    position: sticky;
    top: 120px;
    z-index: 3;
    
    
    border-radius:8px;
    height: min-content;
     flex: 0 0 100%;
}
    .product-details .product-images .bottom .stopper {
        position: relative;
        bottom: 0;
        height:2px;
        background-color: red;
    }

.product-document-link {
    padding: 10px 20px;
    background: #fff;
    display: inline-block;
    color: #292929;
    border: 1px solid #dadada;
    MARGIN: 20px 0;
    text-decoration: none;
}
.product-document-link-icon{
    vertical-align: middle;
    height: 18px;
    opacity: 0.8;
}
.product-details .product-images .product-image-wrapper{
    
    float: none;
    flex: 1 1 25%;
    max-width: 24.6%;
    width: auto;
    min-width: 90px;
    aspect-ratio: 1 / 1;
}
.product-details .product-images .product-image-inner-wrapper{
    margin: 10px 5px;
    border: 1px solid #dfdfdf;
    height: 100%;
    overflow: hidden;
    position: relative;
}
.product-details .product-images .product-image {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translateY(-50%) translateX(-50%);
    -ms-transform: translateY(-50%) translateX(-50%);
    transform: translateY(-50%) translateX(-50%);
    max-width: 110%;
    display:block;
    cursor: pointer;
}
.product-details .product-specific-info{
    clear: both;
    margin-bottom: 40px;
}
.product-details .product-specific-info .heading{
    text-transform: uppercase;
    margin: 15px 0 25px;
    border-bottom: 2px #f7a600 solid;
    display: inline-block;
    font-size: 22px;
}
.product-details .product-video{
    display: inline-block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 120px;
    width: 200px;
    cursor: pointer;
    position:relative;
}
.product-details .product-video:hover::after {
    position: absolute;
    content: " ";
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('/gfx/webbedit/btn-play-alt.png');
    height: 120px;
    width: 200px;
    cursor: pointer;
}

.product-details-attribute-selectors select{
    display: block;
    width: 100%;
    padding: 5px 5px;
    font-size: 18px;
}

.product-details-attribute-selectors span br,
.product-details-attribute-selectors input[type=radio] {
    display: none;
}
.product-details-attribute-selectors input[type=radio] + label {
    display: inline-block;
    width: 50px;
    margin: 5px;
    overflow: hidden;
    opacity:0.6;
}
.product-details-attribute-selectors input[type=radio]:checked + label {
    opacity: 1;
}
.product-details-attribute-selectors input[type=radio] + label img {
    width: 100%;
}
.fileList { margin: 20px 0; }
    .fileList .file { margin: 0 0 10px 0; }
        .fileList .file a { border: 1px solid #D9D9D9; display: block; padding: 15px; color: #000; }
            .fileList .file a i { font-size: 20px; position: relative; top: 1px; margin: 0 6px 0 0; }


/*Relaterade produker*/

[id$="PnlRelatedProducts"] .section-title {
    text-align:center;
    font-size:25px;
    margin: 2rem;
}

/* Gör relaterade produkter horisontella */
[id$="PnlRelatedProducts"] .product-list.product-puffs {
    display: flex;
    flex-wrap: wrap; /* radbrytning om det inte får plats */
    gap: 20px; /* avstånd mellan produkterna */
    justify-content: left;
    margin-bottom:40px;
}

[id$="PnlRelatedProducts"] .product-item {
    flex: 0 0 300px; /* fast bredd, ändra efter smak */
    text-align: left;
}

[id$="PnlRelatedProducts"] .product-item .image img {
    width: 100%;
    height: auto;
    display: block;
}

 
.single-product-header .top { display: flex; align-items: start; justify-content: space-between;}
.single-product-header .top .product-title { flex: 1 1 60; display: block; }
.single-product-header .top .supplier { flex: 1 1 40; display: block;}

.single-product-header .bottom { display: flex; align-items: start; justify-content: space-between; }
.single-product-header .bottom .left {flex: 1 1 50;}
.single-product-header .bottom .sku {flex: 1 1 50;}
.single-product-header .bottom .sku-cenor,
.single-product-header .bottom .sku-brand  {display: block;}

@media only screen and (max-width: 1200px) {
    .product-details .product-specific-info{
        margin: 0 0 20px;
    }
}

@media only screen and (max-width: 1000px) {
    .product-details .product-general-info .product-title{
        font-size: clamp(20px, 3vw, 30px);
    }
    .product-details {
        font-size: 14px;
    }
    .product-details .price {
        font-size: 30px;
    }
    .product-details .product-specific-info .heading{
        font-size: 20px;
    }

    .product-details .product-list .inner-product-item .image {
        height: auto;
        aspect-ratio:1/1;
        line-height: 170px;
    }

}
@media only screen and (max-width: 786px) {
    .product-breadcrumbs {
        
    }
    .product-details .product-general-info,
    .product-details .product-images{
        width: auto;
        float: none;
    }
    .product-details .product-images {
        align-content: space-around;     
        border-radius: 12px;
    }

    .product-details .product-general-info-inner {
        margin-top: 20px;
        
    }

    .product-details .product-images .product-background,
    .product-details .product-images .large-image-ph {
        
    }
    .product-details .product-images .product-image-wrapper {
        
    }
    .product-details .product-images .product-image-inner-wrapper {
        margin: 2px;
        border: 1px solid #dfdfdf;
        height: 100%;
    }
    .product-details .price {
        margin-top: 16px; 
    }
    .product-details .product-list .inner-product-item .image {
        height: auto;
        line-height: 150px;
    }
    .product-details .product-specific-info{
        overflow: hidden;
    }
}
@media only screen and (max-width: 500px) {
    .product-details .product-general-info .product-title{
        font-size: 22px;
    }
    .product-details {
        font-size: 12px;
    }
    .product-details .price {
        font-size: 22px;
    }
    .product-details .product-specific-info .heading{
        font-size: 16px;
    }
    .product-details .product-list.product-puffs .product-item{
        width: 50%;
    }
    .product-details .product-list .inner-product-item .image {
        height: 150px;
        line-height: 150px;
    }
}



.product-general-info .product-title {
    font-size: 28px;
    font-weight: 600;
    margin-bottom: 15px;
    text-transform: none;
}

.product-general-info .short-description {
    margin-bottom: 20px;
    color: #444;
    line-height: 1.5;
    border-radius: 4px;
}

.product-meta {
    font-size: 14px;
    margin-bottom: 20px;
}

    .product-meta .sku {
        margin-bottom: 5px;
        color: #666;
    }

    .product-meta .stock-delivery {
        display: flex;
        gap: 20px;
        font-weight: 500;
    }

    .product-meta .in-stock {
        color: green;
    }

    .product-meta .out-of-stock {
        color: red;
    }

    .product-meta .delivery {
        color: #444;
    }

.price-and-cart {
    display: flex;
    align-items: center;
    margin: 20px 0;
    gap: 20px;
}

    .price-and-cart .price {
        font-size: clamp(18px, 3vw, 24px);
        font-weight: 700;
    }

    .price-and-cart .original-price {
        font-size: 14px;
        color: #888;
        text-decoration: line-through;
        margin-left: 10px;
    }

.add-to-cart {
    display: flex;
    align-items: center;
    gap: 10px;
}

    .add-to-cart .add-to-cart-number {
        width: 50px;
        text-align: center;
        border: 1px solid #ccc;
        height: 40px;
    }

    .add-to-cart .add-to-cart-button {
        padding: 10px 25px;
        cursor: pointer;
        font-size: 1rem;
        font-weight: 600;
        color: #fff;
        background-color: var(--c-brand);
        text-decoration:none;
    }
    
    

.product-information {
    clear: both;
    margin-top: 40px;
}

    .product-information h3 {
        font-size: 20px;
        margin-bottom: 10px;
        font-weight: 600;
    }

.product-general-info .description-title {
    font-size: 18px;
    font-weight: 400;
    color: #666;
    margin: -10px 0 15px;
}


.product-information {
    margin-top: 30px;
    border-top: 1px solid #eee;
    padding-top: 15px;
}

    .product-information h3 {
        font-size: 18px;
        margin-bottom: 10px;
    }

    .product-information .toggle-description {
        display: inline-block;
        margin-top: 10px;
        color: #007b5e;
        cursor: pointer;
        font-weight: 500;
        text-decoration: none;
    }

.product-image-wrapper {
    
}

    
.product-general-info .specs-line { display: block; }

.max-270 {
    max-width: 270px;
}
.absolute-container { position: relative; width: 30px; height: 30px; }

@media only screen and (max-width: 640px) {
    .product-details .product-info-and-images { flex-wrap: wrap; }
    .product-details .product-general-info,
    .product-details .product-images { flex: 1 1 100%;}
    .product-details .product-images .product-image-wrapper {
     
    }
    .product-details .product-images .bottom { height: auto;  }
}

@media only screen and (max-width: 400px) {
    .product-details .product-list .product-item{
        float: left;
        width: 50%;
        margin: 0 0 10px;
    }
}

@media only screen and (max-width: 340px) {

    .button.add-to-cart .add-to-cart-button{
        padding-left: 25px;
    }
}
